summaryrefslogtreecommitdiff
path: root/dev-python/python-memcached/python-memcached-1.59-r1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-07 08:33:54 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-07 08:33:54 +0000
commit0f8c76c240d2be684ae72d5db356e8f01aa629b0 (patch)
tree12a2159d5148794d699d9811ca910f8b70bddac0 /dev-python/python-memcached/python-memcached-1.59-r1.ebuild
parentc9b4cf1e8f0eea880e13c2631c88821337e8a5fd (diff)
downloadbaldeagleos-repo-0f8c76c240d2be684ae72d5db356e8f01aa629b0.tar.gz
baldeagleos-repo-0f8c76c240d2be684ae72d5db356e8f01aa629b0.tar.xz
baldeagleos-repo-0f8c76c240d2be684ae72d5db356e8f01aa629b0.zip
Adding metadata
Diffstat (limited to 'dev-python/python-memcached/python-memcached-1.59-r1.ebuild')
-rw-r--r--dev-python/python-memcached/python-memcached-1.59-r1.ebuild16
1 files changed, 8 insertions, 8 deletions
diff --git a/dev-python/python-memcached/python-memcached-1.59-r1.ebuild b/dev-python/python-memcached/python-memcached-1.59-r1.ebuild
index 6cc5bc969d0f..d5451702abbc 100644
--- a/dev-python/python-memcached/python-memcached-1.59-r1.ebuild
+++ b/dev-python/python-memcached/python-memcached-1.59-r1.ebuild
@@ -27,23 +27,23 @@ BDEPEND="
)
"
-distutils_enable_tests nose
+distutils_enable_tests unittest
python_test() {
local pidfile="${TMPDIR}/memcached.pid"
- memcached -d -P "$pidfile" || die "failed to start memcached"
+ memcached -d -P "${pidfile}" || die "failed to start memcached"
- nosetests -v || die "Tests fail with ${EPYTHON}"
+ eunittest || die "Tests fail with ${EPYTHON}"
- kill "$(<"$pidfile")" || die "failed to kill memcached"
+ kill "$(<"${pidfile}")" || die "failed to kill memcached"
local elapsed=0
- while [[ -f "$pidfile" ]]; do
- if [[ $elapsed -ge 30 ]]; then
- kill -KILL "$(<"$pidfile")" || die "failed to kill -KILL memcached"
+ while [[ -f ${pidfile} ]]; do
+ if [[ $(( elapsed++ )) -ge 30 ]]; then
+ kill -KILL "$(<"${pidfile}")" ||
+ die "failed to kill -KILL memcached"
die "memcached failed to stop after 30 seconds"
fi
sleep 1
- let elapsed++
done
}